#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,192,256,384,576,640,704,832,1664
 * N : 25,192,256,384,576,640,704,832,1664
 * NB : 9,12,36,32,16,48,64,64,64
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 108) (nb_) = 9; \
   else if ((n_) < 224) (nb_) = 12; \
   else if ((n_) < 320) (nb_) = 36; \
   else if ((n_) < 480) (nb_) = 32; \
   else if ((n_) < 608) (nb_) = 16; \
   else if ((n_) < 672) (nb_) = 48; \
   else (nb_) = 64; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
