#ifndef ATL_sGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,240,480,560,640,720,880,960,1040
 * N : 25,240,480,560,640,720,880,960,1040
 * NB : 2,120,24,16,16,144,16,24,320
 */
#define ATL_sGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 132) (nb_) = 2; \
   else if ((n_) < 360) (nb_) = 120; \
   else if ((n_) < 520) (nb_) = 24; \
   else if ((n_) < 680) (nb_) = 16; \
   else if ((n_) < 800) (nb_) = 144; \
   else if ((n_) < 920) (nb_) = 16; \
   else if ((n_) < 1000) (nb_) = 24; \
   else (nb_) = 320; \
}


#endif    /* end ifndef ATL_sGetNB_geqrf */
