#ifndef ATL_stGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,160,400,480,560,640,720,800,880,960,1200,1680
 * N : 25,160,400,480,560,640,720,800,880,960,1200,1680
 * NB : 2,8,8,40,16,32,16,60,80,80,80,80
 */
#define ATL_stGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 92) (nb_) = 2; \
   else if ((n_) < 440) (nb_) = 8; \
   else if ((n_) < 520) (nb_) = 40; \
   else if ((n_) < 600) (nb_) = 16; \
   else if ((n_) < 680) (nb_) = 32; \
   else if ((n_) < 760) (nb_) = 16; \
   else if ((n_) < 840) (nb_) = 60; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_stGetNB_geqrf */
